Updates the user_planning_slot with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
user_planning_slot| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier |
Required |
| user_id |
Foreign key to user. |
globally unique identifier |
Required |
| user_planning_slot_type_id |
Foreign key to user planning slot type id. |
globally unique identifier |
Required |
| date_from |
Date from, |
date | |
| date_to |
Date to, |
date | |
| description |
Description of user planning slot. |
string | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating. |
date |
Request Formats :
application/json, text/json
Sample:
{
"id": "98eedf45-536b-405f-b1df-f2f5ff083d53",
"user_id": "fbd148c1-c72c-4c63-ae80-4259c6389450",
"user_planning_slot_type_id": "e363cb4c-081c-458f-a966-5e22567d27bd",
"date_from": "2026-11-07T11:25:04.1338919+00:00",
"date_to": "2026-11-07T11:25:04.1338919+00:00",
"description": "sample string 6",
"modified_dateutc": "2026-11-07T11:25:04.1338919+00:00"
}
Response Information
Resource Description :
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample:
Sample not available.